UDDI Services overview

Universal Description, Discovery, and Integration (UDDI) is an industry specification for publishing and locating information about Web services. The Windows Server 2003 family includes UDDI Services, an optional component that provides UDDI capabilities for use within an enterprise or between business partners. UDDI Services is a standards-based XML Web service that enables enterprise developers to efficiently publish, discover, share, and reuse Web services directly through their development tools and business applications.

Built on the Microsoft .NET Framework, UDDI Services is a reliable and scalable solution that provides easy integration with enterprise technologies and tools. Information Technology (IT) managers can leverage native support for standard categorization schemes, Microsoft SQL Server, and Active Directory authentication. As a UDDI version 1.0 and 2.0 API-compliant service, UDDI Services also includes a Web interface that is translated into all of the languages that are supported by the Windows Server 2003 family.

UDDI Services product documentation is available in the UDDI Services Help. To view product documentation, install UDDI Services, and then see UDDI Services Help. For information about installing UDDI Services, see Using UDDI Services.

Notes

  • XOX
  • XOX
  • To run UDDI Services, you must also run Microsoft Internet Information Services (IIS). For more information about IIS, see Internet Information Services (IIS) 6.0.
  • For additional planning, installation, configuration, troubleshooting, development, or other UDDI Services resources, see Enterprise UDDI Services at the Microsoft Web site. (http://www.microsoft.com/)


Using UDDI Services

Universal Description, Discovery, and Integration (UDDI) is an industry specification for the description and discovery of Web services. The UDDI specification builds on the Simple Object Access Protocol (SOAP), Extensible Markup Language (XML), and HTTP/S protocol standards developed by the World Wide Web Consortium (W3C) and Internet Engineering Task Force (IETF). UDDI Services is an optional component of the Windows Server 2003 family that provides UDDI capabilities within an enterprise.

UDDI Services is not installed by default during setup of a Windows Server 2003 operating system.

UDDI Services requirements checklist

Before you install and deploy UDDI Services, make sure your system meets the following hardware and software requirements.

Hardware requirements

In addition to the Windows Server 2003 family minimum requirements, UDDI Services requires:

  • 128 megabytes (MB) of RAM minimum
  • 80 MB free disk space (plus additional storage for UDDI Services data)

Software requirements

You must use one of the following Microsoft operating systems to host UDDI Services:

  • XOX
  • XOX
  • XOX

Installing UDDI Services

When you first install UDDI Services, all components are selected by default. By deselecting components, you can decrease or disable UDDI Services functionality. If you are unfamiliar with UDDI Services components or deployment options, complete the default installation, and then view the Deploying and Installing UDDI Services topic in UDDI Services Help.

To install UDDI Services, or add or remove a component

  1. Open the Windows Components Wizard.
  2. In the Windows Components Wizard, select the UDDI Services check box, and then follow the instructions to install, remove, or add components to UDDI Services.

After you have installed UDDI Services, open UDDI Services.

Notes

  • XOX
  • XOX
  • To run UDDI Services, you must also run Microsoft Internet Information Services (IIS). For more information about IIS, see Internet Information Services (IIS) 6.0.
  • You can use Administrative Tools to administer local or remote installations of UDDI Services.
  • If you have already installed UDDI Services, see UDDI Services Help.
  • After installing and configuring UDDI Services, you can view the Web-based user interface on any server to which you have installed the user interface subcomponent. For example, http://ServerName/uddi/, or if you are using a secure sever, https://ServerName/uddi/.
  • For more information about UDDI Services, see UDDI Services.
  • For additional planning, installation, configuration, troubleshooting, development, or other UDDI Services resources, see UDDI Enterprise Services at Microsoft Web site. (http://www.microsoft.com/)


Using Message Queuing

Message Queuing (also known as MSMQ) is a messaging infrastructure and environment for building and running distributed, loosely coupled, messaging applications. As part of the application server role, Message Queuing provides features for developing and managing Web-based applications. Message Queuing applications running on source computers send messages to queues, and applications running on target computers retrieve messages from queues. Such applications communicate across the Internet and other heterogeneous networks, and with computers that might be temporarily offline.

Message Queuing can be installed in various configurations. Computers configured as Message Queuing independent clients run the Message Queuing service, host queues, send and receive messages, and do not require synchronous access to a Message Queuing server. Message Queuing servers provide additional functionality, including:

  • Directory access for client computers running earlier versions of Message Queuing on Windows NT 4.0, Windows 98, or Windows 95 computers.
  • Support for dependent clients, which are a limited Message Queuing client configuration that requires synchronous access to a server for all messaging functions.
  • Routing capabilities that enable you to route messages within a site or between different sites when there is no direct connectivity between client computers.

When you install Message Queuing you choose the subcomponents for your required configuration. The Message Queuing component is not installed by default during Windows Setup. For more information about Message Queuing, see Message Queuing Help.

To install Message Queuing with independent client functionality

  1. Open the Windows Components Wizard.
  2. In the Windows Components Wizard, select the Application Server check box, and then click Details.
  3. Select the Message Queuing check box.
  4. If you want to change the default set of optional subcomponents that will be installed, click Details, and then:
    • If the computer belongs to a domain and you want it to operate in workgroup mode, clear the Active Directory Integration check box.

Notes

  • XOX
  • Use the following administrative tools to manage Message Queuing:
    • Computer Management, which provides access to local queue and message information.
    • Active Directory Users and Computers, and Active Directory Sites and Services, which provide access to information in Active Directory for routing configurations, computers, public queues, and other Message Queuing objects.


Using Fax

Fax provides a complete fax solution for your organization. As a fax administrator you can share fax resources between multiple users, and manage network fax resources from a central location. Using Fax Service Manager you can configure fax devices, and share fax printers to enable network users to send and receive faxes through remote fax printer connections. You can set up routing policies for incoming faxes, and specify outgoing fax rules to route outbound faxes to specific device groups based on dialing destinations. You can set up archiving to provide access to faxes that have been previously sent or received, and configure activity logging to track the use of fax resources.

Fax users can send, receive, and manage faxes using a local fax device attached to their computer, or through a remote fax printer connection. Fax Console provides a central point for sending and receiving faxes, and for monitoring and managing incoming, outgoing, and archived faxes. Fax is not installed by default during Windows Setup.

For more information about Fax Service Manager, see Fax Service Manager Help. For more information about Fax Console, see Fax Console Help.

Note

  • XOX

To install Fax

  1. Open the Windows Components Wizard.
  2. In the Windows Components Wizard, select the Fax Services check box, and then follow the instructions on your screen.

Notes

  • XOX
  • XOX
  • Fax sharing is not supported on XOX.


Using Web Interface for Remote Administration

You can use Web Interface for Remote Administration to manage your application server by using a Web browser on a remote computer.

To install Web Interface for Remote Administration of an application server

  1. Open the Windows Components Wizard.
  2. In the Windows Components Wizard, select the Application Server check box, and then click Details.
  3. Select the Internet Information Services (IIS) check box, click Details, select the World Wide Web Service check box, click Details, and then select the Remote Administration (HTML) check box.

Notes

  • XOX
  • Web Interface for Remote Administration of an application server is installed by default on XOX only. It is not installed by default on other Windows Server 2003 operating systems.
  • Internet Explorer version 6.0 or later is recommended for Remote Administration.
  • Installation of Remote Administration is not supported on a domain controller.

To open Web Interface for Remote Administration

  1. Click Start, and then click Run.
  2. Type:

    https://ComputerName:8098

    Where ComputerName is the name of the computer on which you want to run Remote Administration.

Note

  • To open Web Interface for Remote Administration Help, open Web Interface for Remote Administration, and then click the Help tab.


Updated technical information

The Microsoft Product Support Services Web site contains an extensive collection of articles, troubleshooting wizards, files you can download, and other useful product information. The articles can help you understand more about the features included in the Windows Server 2003 family.

In addition, Microsoft Product Support Services contains other information you may find useful, such as frequently asked questions (FAQs), troubleshooting information, and information from newsgroups.

For more information, see Microsoft Product Support Services at the Microsoft Web site. (http://www.microsoft.com/)


Using Network Diagnostics

With Network Diagnostics, you can display information about your network environment quickly and easily. This tool provides information about your computer, operating system, network, and network adapters. Using Network Diagnostics, you can perform standard tests for network connectivity, such as running the ping command to test the network path to a server or trying to connect to a server. Network Diagnostics reports both successful and unsuccessful attempts to reach network resources.

To open Network Diagnostics, click Start, click Help and Support, click Tools, click Help and Support Center Tools, and then click Network Diagnostics.

Note

  • Network tests are run only on your computer to ensure the privacy and integrity of your data. No information is sent to Microsoft.


The .NET Framework

The .NET Framework is a new computing platform designed to simplify application development in the highly distributed environment of the Internet. The .NET Framework has several main components: the common language runtime, the .NET Framework class library, and the runtime hosts. The common language runtime is the foundation of the .NET Framework. It manages code execution and provides core services such as memory management, thread management, and remote execution. The .NET Framework class library is a comprehensive, object-oriented collection of reusable classes that you can use to develop a wide range of applications, including ASP.NET applications and XML Web services. The .NET Framework also provides several runtime hosts, including Windows Forms and ASP.NET, which work directly with the runtime to provide a scalable, server-side environment for managed code. The .NET Framework is installed by default with Windows Server 2003 operating systems.

For more information about the .NET Framework, see .NET Framework at the Microsoft Web site. (http://www.microsoft.com/)

Notes

  • XOX
  • For more information about using the .NET Framework, open a command prompt, and then type:

    start %systemroot%\Microsoft.NET\Framework\<LCID>\Admin.chm

    where <LCID> is the locale identifier. For example, if you are using an English language installation of the .NET Framework, type:

    start %systemroot%\Microsoft.NET\Framework\1033\Admin.chm

  • XOX


Set Control Panel to Classic View

Microsoft Windows graphic

To set Control Panel to Classic View

  1. Open Control Panel.
  2. On the Tools menu, click Folder Options.
  3. Under Tasks, click Show common tasks in folders, and then click OK.
  4. Under Control Panel in the left pane, click Switch to Classic View.

Note

  • XOX

Related Topics


Set Control Panel to Category View

Microsoft Windows graphic

To set Control Panel to Category View

  1. Open Control Panel.
  2. On the Tools menu, click Folder Options.
  3. Under Tasks, click Show common tasks in folders, and then click OK.
  4. Under Control Panel in the left pane, click Switch to Category View.

Note

  • XOX

Related Topics


Control Panel

Control Panel provides a set of special-purpose administrative tools that you can use to configure the Windows, applications, and services environment. Control Panel includes default items that you can use for common tasks (for example, Display and Add Hardware). User-installed applications and services can also insert icons into Control Panel.

There are two view options for Control Panel: Category View and Classic View. Category View displays Control Panel icons according to the type of task that the user wants to perform. Classic View displays Control Panel icons in a view that is familiar to users of previous versions of Windows.

For more information about setting view options for Control Panel, see:

  • To set Control Panel to Classic View
  • To set Control Panel to Category View

For more information about Control Panel icons, see:

  • Accessibility Options
  • Add Hardware
  • Add or Remove Programs
  • Administrative Tools (Windows interface administrative tool reference A-Z)
  • Date and Time
  • Display
  • Folder Options
  • Fonts
  • Game Controllers
  • Internet Options
  • Keyboard
  • Licensing
  • Mouse
  • Network Connections
  • Phone and Modem Options
  • Power Options
  • Printers and Faxes
  • Regional and Language Options
  • Scanners and Cameras
  • Scheduled Tasks (Task Scheduler)
  • Sounds and Audio Devices
  • Speech
  • Stored User Names and Passwords
  • System
  • Taskbar and Start Menu

Note

  • To add Control Panel to My Computer, on the Tools menu in Control Panel, click Folder Options, click the View tab, and then, under Advanced settings, select the Show Control Panel in My Computer check box.


Using Windows Media Services

With Windows Media Services, you can manage, deliver, and archive Windows Media content, including streaming audio and video, over an intranet or the Internet. Windows Media Services includes server components such as Windows Media Services Administrator for the Web. Windows Media Services is not installed by default.

To install Windows Media Services

  1. Open the Windows Components Wizard.
  2. In the Windows Components Wizard, select the Windows Media Services check box, and then click Details.
  3. In the Windows Media Services dialog box, select the Windows Media Services Administrator for the Web check box.

Notes

  • XOX
  • XOX
  • Windows Media Services and Windows Media Services Administrator for the Web are not included with XOX and 64-bit editions of Windows.
  • For more information about using Windows Media Services and Windows Media Services Administrator for the Web, in Windows Media Services Administrator for the Web, click Help.


Using Speech

Using Speech properties, you can select configuration settings for speech recognition and text-to-speech (TTS). These settings include microphone, output device, and language settings. You can also manage your speech user profile so that the speech recognition engine can better recognize your speaking habits and the background sounds of your environment.

To open Speech

  • Open Speech.

Note

  • XOX


Group Policy

You can use Group Policy to manage features included with the Microsoft® Windows® Server 2003 family, such as Group Policy Software Installation, Administrative Templates, Folder Redirection, Remote Installation Services, Security Settings, Scripts (Startup/Shutdown and Logon/Logoff) and Internet Explorer Maintenance.

Microsoft makes available new procedures, and new and updated tools online. For the latest information about Group Policy and tools that you can use to manage Group Policy, see Group Policy at the Microsoft Web site. (http://www.microsoft.com/)

For more information about the Group Policy management tools that you currently have installed, see Group Policy.